Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List templates

GET/workspaces/{organizationId}/templates
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Responses
200

Templates list

templatesobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
linearIdstringrequired
namestringrequired
templateDatastring | nullrequired
createdAtstringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/templates' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "templates": [
    {
      "id": "string",
      "organizationId": "string",
      "linearId": "string",
      "name": "string",
      "templateData": "string",
      "createdAt": "string"
    }
  ]
}

Was this page helpful?